summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-splash/htdocs
diff options
context:
space:
mode:
authorManuel Munz <freifunk@somakoma.de>2013-08-18 20:41:30 +0000
committerManuel Munz <freifunk@somakoma.de>2013-08-18 20:41:30 +0000
commit47612c60f3436b5bdff26fbc8d869a0f1eca7ed2 (patch)
tree3888a30ef08c8fc76cb4150ad8c0d42bd490a828 /applications/luci-splash/htdocs
parent15088f5dd4f53cb25e71a871dd4ed25440ec7eb5 (diff)
applications/luci-splash: Per default redirect to the page the user requested after he accepted the splash. This can be overwritten with redirect_url in the general section in luci_splash config, #595
Diffstat (limited to 'applications/luci-splash/htdocs')
-rwxr-xr-xapplications/luci-splash/htdocs/cgi-bin/splash/splash.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/applications/luci-splash/htdocs/cgi-bin/splash/splash.sh b/applications/luci-splash/htdocs/cgi-bin/splash/splash.sh
index cbffaf6ab..76f6d4d3e 100755
--- a/applications/luci-splash/htdocs/cgi-bin/splash/splash.sh
+++ b/applications/luci-splash/htdocs/cgi-bin/splash/splash.sh
@@ -1,4 +1,15 @@
#!/bin/sh
+
+$(uci -q get luci_splash.general.redirect_url) || {
+ set -x
+ touch /var/state/luci_splash_locations
+ touch /etc/config/luci_splash_locations
+ MAC=$(grep "$REMOTE_HOST" /proc/net/arp | awk '{print $4}')
+ uci -P /var/state set luci_splash_locations.${MAC//:/}=redirect
+ uci -P /var/state set luci_splash_locations.${MAC//:/}.location="http://${HTTP_HOST}${REQUEST_URI}"
+ set +x
+}
+
echo -en "Cache-Control: no-cache, max-age=0, no-store, must-revalidate\r\n"
echo -en "Pragma: no-cache\r\n"
echo -en "Expires: -1\r\n"
@@ -21,3 +32,4 @@ cat <<EOT
</WISPAccessGatewayParam>
EOT
+